# Enum Class Module.StartOptions

java.lang.Object
java.lang.Enum<Module.StartOptions>
org.eclipse.osgi.container.Module.StartOptions

All Implemented Interfaces:
  `Serializable, Comparable<Module.StartOptions>, Constable`

Enclosing class:
  `Module`

public static enum Module.StartOptions extends Enum<Module.StartOptions>
The possible start options for a module

Since:
  3.10

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LAZY_TRIGGER`
The module start operation that indicates the module is being started because of a lazy start trigger class load.
`TRANSIENT`
The module start operation is transient and the persistent autostart or activation policy setting of the module is not modified.
`TRANSIENT_IF_AUTO_START`
The module start operation is transient and will only happen if `auto start` setting is persistent.
`TRANSIENT_RESUME`
The module start operation is transient and the persistent activation policy setting will be used.
`USE_ACTIVATION_POLICY`
The module start operation must activate the module according to the module's declared activation policy.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isContained(Module.StartOptions... options)`
Tests if this option is contained in the specified options
`static Module.StartOptions`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Module.StartOptions[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRANSIENT

public static final Module.StartOptions TRANSIENT
The module start operation is transient and the persistent autostart or activation policy setting of the module is not modified.

### USE_ACTIVATION_POLICY

public static final Module.StartOptions USE_ACTIVATION_POLICY
The module start operation must activate the module according to the module's declared activation policy.

### TRANSIENT_RESUME

public static final Module.StartOptions TRANSIENT_RESUME
The module start operation is transient and the persistent activation policy setting will be used.

### TRANSIENT_IF_AUTO_START

public static final Module.StartOptions TRANSIENT_IF_AUTO_START
The module start operation is transient and will only happen if `auto start` setting is persistent.

### LAZY_TRIGGER

public static final Module.StartOptions LAZY_TRIGGER
The module start operation that indicates the module is being started because of a lazy start trigger class load.

## Method Details

### values

public static Module.StartOptions[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Module.StartOptions valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isContained

public boolean isContained(Module.StartOptions... options)
Tests if this option is contained in the specified options